Browse Source

ceilometer: do not fail when using an unsupported database type

This is necessary if e.g. Prometheus is used. Then the
ceilometer-upgrade is not needed.

Signed-off-by: Christian Berendt <berendt@betacloud-solutions.de>
Change-Id: I8690e5543e6b5f37f41fe35f659910fc869c034f
(cherry picked from commit ea8592b077)
changes/57/768057/1
Christian Berendt 2 years ago committed by Mark Goddard
parent
commit
84ffe90e2e
  1. 3
      docker/ceilometer/ceilometer-notification/extend_start.sh

3
docker/ceilometer/ceilometer-notification/extend_start.sh

@ -5,9 +5,6 @@
if [[ "${!KOLLA_BOOTSTRAP[@]}" ]]; then
if [[ "${CEILOMETER_DATABASE_TYPE}" == "gnocchi" ]]; then
ceilometer-upgrade ${CEILOMETER_UPGRADE_PARAMS}
else
echo "Unsupported database type: ${CEILOMETER_DATABASE_TYPE}"
exit 1
fi
sudo chown -R ceilometer: /var/lib/ceilometer/
exit 0

Loading…
Cancel
Save